envir

Program that searchs environment for chosen molecule by geometric criterion.

Usage
mm_envir -i FILE -c X,Y,Z -o FILE [ -n NUMBER ] [ -r NUMBER ] [ -l FILE ] [ -q ] [ -h ]
Parametrs
-i FILE – input trajectory file
-c X,Y,Z – cell size, A
-o FILE – output PDB file
-n NUMBER – number of molecule for search. Default is 1
-r NUMBER – radius of environment. Default is 6.0
-l FILE – print log to specified file
-q – do not print messages to STDOUT
-h – show this help and exit

File formats

Trajectory file (*.pdb)

http://www.wwpdb.org/documentation/format33/sect9.html

Operation of the application

1. Reading titles of source files, setting values of initial variables.
2. Reading of source file.
3. Search for the environment.
4. Print the environment to the file.

Working with GUI

1. Go to the tab "Environment". Set the work directory.
2. Set the input trajectory file.
3. Set the cell size, A.
4. Set the output PDB file.
5. Set the number of molecule for search and the radius of environment.
6. Set the log file if this needed.
7. Run application.